Bug 970661 - postgresql fails to build for aarch64
postgresql fails to build for aarch64
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: postgresql (Show other bugs)
19
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Pavel Raiskup
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-06-04 10:12 EDT by Mark Salter
Modified: 2013-08-17 20:38 EDT (History)
4 users (show)

See Also:
Fixed In Version: postgresql-9.2.4-7.fc19
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-08-17 20:38:06 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
aarch64 support for postgresql (742 bytes, patch)
2013-06-04 10:12 EDT, Mark Salter
no flags Details | Diff

  None (edit)
Description Mark Salter 2013-06-04 10:12:20 EDT
Created attachment 756825 [details]
aarch64 support for postgresql

Description of problem:
Postgresql needs aarch64 definitions for TAS/S_UNLOCK to build. Patch attached.

Version-Release number of selected component (if applicable):


How reproducible:


Steps to Reproduce:
1.
2.
3.

Actual results:


Expected results:


Additional info:
Comment 3 Pavel Raiskup 2013-06-05 03:45:23 EDT
Thanks for quick reply, Tom!

Mark, I have committed it already in F19+ downstream — is it OK to close it
without building for primary architectures?

Commit:
http://pkgs.fedoraproject.org/cgit/postgresql.git/commit/?id=30d053b7a541f1afd95ec0747ff0e305a8f99e75
Comment 4 Mark Salter 2013-06-05 07:59:41 EDT
Yes, that is fine with me.
Comment 5 Pavel Raiskup 2013-06-05 08:18:21 EDT
Ok, no close status match this so I'll wait for next update in MODIFIED.
Comment 6 Mark Salter 2013-06-11 14:34:13 EDT
I tried building the updated RPM and ran into a problem. When I originally built a patched version of the RPM, I turned off the upgrade flag in the RPM. When I try building an unpatched RPM, the build faileed in the older 9.1.9. It also needs the same atomics patch.
Comment 7 Pavel Raiskup 2013-06-13 04:48:35 EDT
Should be OK now, hopefully.
Comment 8 Fedora Update System 2013-08-15 02:37:22 EDT
postgresql-9.2.4-7.fc19 has been submitted as an update for Fedora 19.
https://admin.fedoraproject.org/updates/postgresql-9.2.4-7.fc19
Comment 9 Fedora Update System 2013-08-15 19:30:24 EDT
Package postgresql-9.2.4-7.fc19:
* should fix your issue,
* was pushed to the Fedora 19 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing postgresql-9.2.4-7.fc19'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/FEDORA-2013-14841/postgresql-9.2.4-7.fc19
then log in and leave karma (feedback).
Comment 10 Fedora Update System 2013-08-17 20:38:06 EDT
postgresql-9.2.4-7.fc19 has been pushed to the Fedora 19 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.